Subject: bug#16274: 24.3.50; Error in post-command-hook (icomplete-post-command-hook): (invalid-function ("..." ...))

From: Drew Adams <[email-masked]>
Date: Mon, 10 Feb 2014 12:55:21 -0800 (PST)

> > Anyway, is this an Emacs bug?
> 
> That was the working hypothesis, yes.  Drew, any news on this bug?

Not yet, unfortunately.  But I've been checking *Messages*.
And I've kept my copy of minibuffer.el, with the inserted cl-assert's,
up-to-date wrt minibuffer.el changes.  I'll keep watching *Messages*.

Unfortunately, although I've pretty much sprinkled cl-assert's
everywhere, I still see the error with no cl-assert message.  Here,
for example, an extract of *Messages* from today:

...

Refining difference region 22 ...
Saving old diff region #22 of buffer A.  To recover, type `ra' [2 times]
Only white-space differences in region 22 
Quit this Ediff session? (y or n)  y
Saving file d:/path/to/stefan-minibuffer.el...
Wrote d:/path/to/stefan-minibuffer.el
byte-code: Beginning of buffer
Quit
Undo! [2 times]
Error in post-command-hook (icomplete-post-command-hook): (wrong-type-argument stringp yes)
Sending...
Sending via mail...
Sending...done
Back to top level.
Mark set
Auto-saving...done
Mark set [2 times]

...